Bug 863376 - [abrt] nautilus-actions-3.2.2-1.fc17: check_key_file: Process /usr/bin/nautilus-actions-print was killed by signal 11 (SIGSEGV)
[abrt] nautilus-actions-3.2.2-1.fc17: check_key_file: Process /usr/bin/nautil...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus-actions (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
abrt_hash:b4c6722fc6f752d30233ab1e147...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-05 05:36 EDT by Allan Engelhardt
Modified: 2013-07-31 19:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:10:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (910 bytes, text/plain)
2012-10-05 05:36 EDT, Allan Engelhardt
no flags Details
File: environ (3.54 KB, text/plain)
2012-10-05 05:36 EDT, Allan Engelhardt
no flags Details
File: backtrace (18.36 KB, text/plain)
2012-10-05 05:36 EDT, Allan Engelhardt
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-05 05:36 EDT, Allan Engelhardt
no flags Details
File: cgroup (129 bytes, text/plain)
2012-10-05 05:36 EDT, Allan Engelhardt
no flags Details
File: maps (26.26 KB, text/plain)
2012-10-05 05:36 EDT, Allan Engelhardt
no flags Details
File: dso_list (5.81 KB, text/plain)
2012-10-05 05:36 EDT, Allan Engelhardt
no flags Details
File: build_ids (2.44 KB, text/plain)
2012-10-05 05:36 EDT, Allan Engelhardt
no flags Details
File: open_fds (278 bytes, text/plain)
2012-10-05 05:36 EDT, Allan Engelhardt
no flags Details
File: var_log_messages (161 bytes, text/plain)
2012-10-05 05:36 EDT, Allan Engelhardt
no flags Details

  None (edit)
Description Allan Engelhardt 2012-10-05 05:36:21 EDT
Version-Release number of selected component:
nautilus-actions-3.2.2-1.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        /usr/bin/nautilus-actions-print --id aac374ee-03a2-4dc9-bac4-6778624d7f96
crash_function: check_key_file
kernel:         3.5.4-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (8 frames)
: #0 check_key_file at nadp-desktop-file.c:461
: #1 nadp_desktop_file_new_from_path at nadp-desktop-file.c:251
: #2 item_from_desktop_path at nadp-reader.c:260
: #3 nadp_iio_provider_read_items at nadp-reader.c:106
: #4 load_items_get_merged_list at na-io-provider.c:1095
: #5 na_io_provider_load_items at na-io-provider.c:644
: #6 na_pivot_load_items at na-pivot.c:573
: #7 get_item at nautilus-actions-print.c:198
Comment 1 Allan Engelhardt 2012-10-05 05:36:24 EDT
Created attachment 622062 [details]
File: core_backtrace
Comment 2 Allan Engelhardt 2012-10-05 05:36:25 EDT
Created attachment 622063 [details]
File: environ
Comment 3 Allan Engelhardt 2012-10-05 05:36:28 EDT
Created attachment 622064 [details]
File: backtrace
Comment 4 Allan Engelhardt 2012-10-05 05:36:29 EDT
Created attachment 622065 [details]
File: limits
Comment 5 Allan Engelhardt 2012-10-05 05:36:31 EDT
Created attachment 622066 [details]
File: cgroup
Comment 6 Allan Engelhardt 2012-10-05 05:36:34 EDT
Created attachment 622067 [details]
File: maps
Comment 7 Allan Engelhardt 2012-10-05 05:36:35 EDT
Created attachment 622068 [details]
File: dso_list
Comment 8 Allan Engelhardt 2012-10-05 05:36:37 EDT
Created attachment 622069 [details]
File: build_ids
Comment 9 Allan Engelhardt 2012-10-05 05:36:39 EDT
Created attachment 622070 [details]
File: open_fds
Comment 10 Allan Engelhardt 2012-10-05 05:36:41 EDT
Created attachment 622071 [details]
File: var_log_messages
Comment 11 Wolfgang Ulbrich 2012-12-16 07:43:00 EST
starting nautilus-actions-config-tool from a command line.
Segmentation fault

using gdb shows me following

(gdb) run
Starting program: /usr/bin/nautilus-actions-config-tool 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Detaching after fork from child process 28795.
[New Thread 0x7fffea153700 (LWP 28815)]
Detaching after fork from child process 28816.

Program received signal SIGSEGV, Segmentation fault.
0x00007fffe9747f06 in check_key_file (ndf=ndf@entry=0x9f28c0 [NadpDesktopFile]) at nadp-desktop-file.c:461
461		if( strcmp( start_group, NADP_GROUP_DESKTOP )){


backtrace_rating: 4
Package: nautilus-actions-3.2.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 Wolfgang Ulbrich 2012-12-16 07:54:32 EST
more gdb info

(gdb) bt
#0  0x00007fffe9747f06 in check_key_file (ndf=ndf@entry=0x9f28c0 [NadpDesktopFile]) at nadp-desktop-file.c:461
#1  0x00007fffe974879f in nadp_desktop_file_new_from_path (path=
    0xba7c10 "/home/rave/.local/share/file-manager/actions/f52a4011-8bb7-454e-ac82-c5d4b183e87c.desktop") at nadp-desktop-file.c:251
#2  0x00007fffe974b73f in item_from_desktop_path (messages=0x7fffffffd7b8, provider=0x6d53a0 [NadpDesktopProvider], dps=<optimized out>) at nadp-reader.c:260
#3  nadp_iio_provider_read_items (provider=0x6d53a0, messages=0x7fffffffd7b8) at nadp-reader.c:106
#4  0x00007ffff7bae5aa in load_items_get_merged_list (messages=0x7fffffffd7b8, pivot=0x6de830 [NAUpdater], loadable_set=<optimized out>)
    at na-io-provider.c:1095
#5  na_io_provider_load_items (pivot=pivot@entry=0x6de830 [NAUpdater], loadable_set=255, messages=messages@entry=0x7fffffffd7b8) at na-io-provider.c:644
#6  0x00007ffff7bb994a in na_pivot_load_items (pivot=0x6de830 [NAUpdater]) at na-pivot.c:573
#7  0x00007ffff7bbf058 in na_updater_load_items (updater=0x6de830 [NAUpdater]) at na-updater.c:517
#8  0x0000000000435697 in load_or_reload_items (window=0x6e8240 [NactMainWindow]) at nact-main-window.c:1327
#9  0x00007ffff4bd4664 in g_closure_invoke (closure=0x7148b0, return_value=return_value@entry=0x0, n_param_values=1, param_values=param_values@entry=
    0x7fffffffd9f0, invocation_hint=invocation_hint@entry=0x7fffffffd990) at gclosure.c:777
#10 0x00007ffff4be56d8 in signal_emit_unlocked_R (node=node@entry=0x6fb970, detail=detail@entry=0, instance=instance@entry=0x6e8240, 
    emission_return=emission_return@entry=0x0, instance_and_params=instance_and_params@entry=0x7fffffffd9f0) at gsignal.c:3551
#11 0x00007ffff4bed66d in g_signal_emit_valist (instance=instance@entry=0x6e8240, signal_id=signal_id@entry=155, detail=detail@entry=0, 
    var_args=var_args@entry=0x7fffffffdc88) at gsignal.c:3300
#12 0x00007ffff4bedcd0 in g_signal_emit_by_name (instance=instance@entry=0x6e8240, detailed_signal=detailed_signal@entry=
    0x44da48 "base-signal-window-show-widgets") at gsignal.c:3393
#13 0x0000000000419dbe in base_window_init (window=0x6e8240 [NactMainWindow]) at base-window.c:702
#14 0x0000000000437447 in nact_main_window_new (application=<optimized out>) at nact-main-window.c:829
#15 0x0000000000421536 in appli_create_windows (application=0x67b460 [NactApplication]) at nact-application.c:318
#16 0x0000000000414cbc in v_create_windows (application=0x67b460 [NactApplication]) at base-application.c:721
#17 base_application_run_with_args (application=0x67b460 [NactApplication], argc=argc@entry=1, argv=argv@entry=0x7fffffffdfc8) at base-application.c:496
#18 0x0000000000413b26 in main (argc=1, argv=0x7fffffffdfc8) at main.c:71
Comment 13 Fedora End Of Life 2013-07-03 17:46:54 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2013-07-31 19:10:31 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.